package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 员工角色枚举
 */
public enum MusicalErrorTypeEnum implements BaseEnum<String, MusicalErrorTypeEnum> {
	RIGHT("RIGHT", "演奏正确"),
	WRONG("WRONG", "错音"),
	CADENCE_WRONG("CADENCE_WRONG", "节奏错误"),
	INTONATION_WRONG("INTONATION_WRONG", "音准错误"),
	INTEGRITY_WRONG("INTEGRITY_WRONG", "完整度不足"),
	NOT_PLAY("NOT_PLAY", "未演奏");

	private String code;

	private String msg;

	MusicalErrorTypeEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
